Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class CascadeDeleteStrategy.NoneCascadeDeleteStrategy

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy
          org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy.NoneCascadeDeleteStrategy

Enclosing class:
  CascadeDeleteStrategy

public static final class CascadeDeleteStrategy.NoneCascadeDeleteStrategy
extends CascadeDeleteStrategy

No cascade-delete strategy.

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy
`CascadeDeleteStrategy.BatchCascadeDeleteStrategy, CascadeDeleteStrategy.DefaultCascadeDeleteStrategy, CascadeDeleteStrategy.NoneCascadeDeleteStrategy`

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy
`cmrField, entity, log, relatedManager`

Constructor Summary
`CascadeDeleteStrategy.NoneCascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)`

Method Summary
`void` | `cascadeDelete(EntityEnterpriseContext ctx, List oldValues)`
`void` | `removedIds(EntityEnterpriseContext ctx, Object[] oldRelationRefs, List ids)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy
`executeDeleteSQL, getCascadeDeleteStrategy, invokeRemoveRelated, scheduleCascadeDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadeDeleteStrategy.NoneCascadeDeleteStrategy

    public CascadeDeleteStrategy.NoneCascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)
                                                    throws org.jboss.deployment.DeploymentException

Method Detail

### removedIds

    public void removedIds(EntityEnterpriseContext ctx,
                           Object[] oldRelationRefs,
                           List ids)

  Specified by:
    `removedIds` in class `CascadeDeleteStrategy`

### cascadeDelete

    public void cascadeDelete(EntityEnterpriseContext ctx,
                              List oldValues)
                       throws javax.ejb.RemoveException,
                              RemoteException

  Specified by:
    `cascadeDelete` in class `CascadeDeleteStrategy`
  Throws:
    `javax.ejb.RemoveException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.